Bug 12402

Summary: Show more on pending patron modification requests
Product: Koha Reporter: Nicole C. Engard <nengard>
Component: PatronsAssignee: Aleisha Amohia <aleisha>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: aleisha, brendan, frederic, gmcharlt, kyle.m.hall
Version: master   
Hardware: All   
OS: All   
URL: /cgi-bin/koha/members/members-update.pl
Change sponsored?: Sponsored Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: page to show more on
Bug 12402: Show patron category on pending patron modifications
[SIGNED-OFF] Bug 12402: Show patron category on pending patron modifications
Bug 12402: Show patron category on pending patron modifications

Description Nicole C. Engard 2014-06-10 21:34:19 UTC
Created attachment 28761 [details]
page to show more on

Would be nice if the pending patron edits showed more info at all times:

Patron branch
Patron category
Patron barcode

So that you can easily tell if this is a patron you want to edit (maybe some categories you don't edit or some branches don't touch each other's stuff).
Comment 1 Nicole C. Engard 2014-06-10 21:34:44 UTC
Oh and a link to the patron record would be great too.
Comment 2 Owen Leonard 2016-05-06 15:17:53 UTC
Looks like the only part of this bug which hasn't already been fixed is the patron category.
Comment 3 Aleisha Amohia 2016-05-12 04:43:01 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2016-05-12 11:55:38 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-05-13 20:56:43 UTC
Created attachment 51488 [details] [review]
Bug 12402: Show patron category on pending patron modifications

To test:
1) Go to OPAC and make a modification to user
2) Go to Staff Client and go to pending patron modifications
3) Notice that we have the user's surname, first name, branch and
   cardnumber
4) Apply patch and refresh page
5) Notice that patron category now shows after user's name

Sponsored-by: Catalyst IT
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Brendan Gallagher 2016-06-03 08:46:54 UTC
Pushed to Master - Should be in the November 2016 Release. Thanks
Comment 7 Frédéric Demians 2016-06-15 07:35:48 UTC
Pushed in 16.05. Will be in 16.05.01.